locked
Windows server 2016 and 1709+ MP v10.1.0.0 - Html5.dashboard missing dependencies RRS feed

  • Question

  • I have a fairly recent clean build of SCOM 1801.  I am attempting to install the Windows Server 2016 and 1709+ Operating Systems MP v.10.1.0.0.

    The Microsoft.Windows.Server.HTML5.Dashboard MP will not install because it is looking for Microsoft.SystemCenter.Internal  v7.0.8441.6.

    The current version of that MP installed on the system is v7.0.8438.6

    the v10.1.0.0 MP says it is supported on SCOM 2016 and 2019.  I am forced to ask a silly question, does that include support for 1801?

    The next question would be, is the internal library MP updated to v7.0.8441.6 (or newer) in a rollup? I am having no luck finding anything in print that specifies where this version comes from.

    Any guidance would be appreciated.

    thanks

    Thursday, May 23, 2019 9:54 PM

Answers

  • Hello,

    The Management Pack for Windows Server Operating System 2016 and 1709 Plus does support SCOM 1801.

    The support for SCOM 1801 was already added in version 10.0.17.0:


    (Source: Management Pack Guide for Windows Server 2016 and 1709 Plus.docx )

    I tested the versions below in my lab environment, sorry didn't have a SCOM 1801, too late to install one now :)

    SCOM 2016 (Update Rollup 7)

    I had the same issue:

    System Center Internal Library version 7.0.8437.0

    ------------------------------------------------------------------------------------------------------

    SCOM 1807

    I had the same issue:

    System Center Internal Library version 7.0.8438.6

    ------------------------------------------------------------------------------------------------------

    SCOM 2019

    Import worked just fine:

    System Center Internal Library version 7.0.8443.6

    ------------------------------------------------------------------------------------------------------

    So there does seem to be an issue even though it should be supported.

    The Microsoft.Windows.Server.Html5.Dashboard.mp was actually added in the last update which was in April 2019:

    Best regards,
    Leon


    Blog: https://thesystemcenterblog.com LinkedIn:

    Thursday, May 23, 2019 11:02 PM
  • Hi,

    As Leon said, the MP bundle is supported for 2016, 1801/1807 and 2019. However, for the individual Microsoft.Windows.Server.Html5.Dashboard.mp, it is only supported in 2019 (with full html5 support).

    For our problem, if we insist to use this individual mp, we may upgrade to 2019 or import the other mps, excluding this individual one in the current environment.

    For the System Center Internal Library version, it does not rely on the UR, but the main product version. Here's the list for your reference:

    2016 : 7.0.8437.0  (without UR or even with UR7, the version doesn't change)
    1801 : 7.0.8438.6
    1807 : 7.0.8438.7
         : 7.0.8441.6 (required)
    2019 : 7.0.8443.6

    Hope the above information helps.

    Regards,

    Alex Zhu
    -----------------------------------------------
    Please remember to mark the replies as answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com.
    Friday, May 24, 2019 2:30 AM

All replies

  • Hello,

    The Management Pack for Windows Server Operating System 2016 and 1709 Plus does support SCOM 1801.

    The support for SCOM 1801 was already added in version 10.0.17.0:


    (Source: Management Pack Guide for Windows Server 2016 and 1709 Plus.docx )

    I tested the versions below in my lab environment, sorry didn't have a SCOM 1801, too late to install one now :)

    SCOM 2016 (Update Rollup 7)

    I had the same issue:

    System Center Internal Library version 7.0.8437.0

    ------------------------------------------------------------------------------------------------------

    SCOM 1807

    I had the same issue:

    System Center Internal Library version 7.0.8438.6

    ------------------------------------------------------------------------------------------------------

    SCOM 2019

    Import worked just fine:

    System Center Internal Library version 7.0.8443.6

    ------------------------------------------------------------------------------------------------------

    So there does seem to be an issue even though it should be supported.

    The Microsoft.Windows.Server.Html5.Dashboard.mp was actually added in the last update which was in April 2019:

    Best regards,
    Leon


    Blog: https://thesystemcenterblog.com LinkedIn:

    Thursday, May 23, 2019 11:02 PM
  • Hi,

    As Leon said, the MP bundle is supported for 2016, 1801/1807 and 2019. However, for the individual Microsoft.Windows.Server.Html5.Dashboard.mp, it is only supported in 2019 (with full html5 support).

    For our problem, if we insist to use this individual mp, we may upgrade to 2019 or import the other mps, excluding this individual one in the current environment.

    For the System Center Internal Library version, it does not rely on the UR, but the main product version. Here's the list for your reference:

    2016 : 7.0.8437.0  (without UR or even with UR7, the version doesn't change)
    1801 : 7.0.8438.6
    1807 : 7.0.8438.7
         : 7.0.8441.6 (required)
    2019 : 7.0.8443.6

    Hope the above information helps.

    Regards,

    Alex Zhu
    -----------------------------------------------
    Please remember to mark the replies as answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com.
    Friday, May 24, 2019 2:30 AM
  • Thanks to both of you.

    The reliance to 2019 was unfortunately what I expected.  Just hoping for a different outcome.

    Friday, May 24, 2019 1:04 PM